All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::jacobi_precond< MatrixT, true > Class Template Reference

Jacobi preconditioner class, can be supplied to solve()-routines. More...

`#include <jacobi_precond.hpp>`

## Public Member Functions

| jacobi_precond (MatrixT const &mat, jacobi_tag const &)
void | init (MatrixT const &mat)
template<unsigned int AlignmentV>
void | apply (viennacl::vector< NumericType, AlignmentV > &vec) const

## Detailed Description

### template<typename MatrixT>
class viennacl::linalg::jacobi_precond< MatrixT, true >

Jacobi preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 104 of file jacobi_precond.hpp.

## Constructor & Destructor Documentation

template<typename MatrixT >

viennacl::linalg::jacobi_precond< MatrixT, true >::jacobi_precond | ( | MatrixT const & | mat,
|  | jacobi_tag const & |
| ) |  |

inline

Definition at line 109 of file jacobi_precond.hpp.

## Member Function Documentation

template<typename MatrixT >
template<unsigned int AlignmentV>

void viennacl::linalg::jacobi_precond< MatrixT, true >::apply | ( | viennacl::vector< NumericType, AlignmentV > & | vec | ) | const

inline

Definition at line 122 of file jacobi_precond.hpp.

template<typename MatrixT >

void viennacl::linalg::jacobi_precond< MatrixT, true >::init | ( | MatrixT const & | mat | ) |

inline

Definition at line 115 of file jacobi_precond.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/jacobi_precond.hpp